#!/bin/sh

if ! ./compatible.sh ; then
	exit 1
fi

busybox echo -n '[<0x0,0x4e0000><0x4e0000,0x700000><0x700000,0x2300000><0x2300000,0x2380000><0x2380000,0x6e80000>]' > upd_stat

if [ ! -f verify.txt ] ; then
 echo "wrong update_XX.tgz, please check it!"
 exit 1;
fi

if [ ! -f /update/mtd_images/verify.txt ] ; then
 echo "Please put the mtd_images into U pen,please check it!"
 exit 1;
fi

export V1=`cat verify.txt`
export V1="X$V1"
export V2=`cat /update/mtd_images/verify.txt`
export V2="X$V2"
if [ $V1 != $V2 ] ; then
 echo "Please make sure mtd_images adapts the update_xx.tgz"
 exit 1;
fi

if ./is_nor /dev/mtd ; then
	if ! ./norwrite2 -k 0x0 -l 0x0 -s 0x0 -p /dev/mtd /update/mtd_images/mtd1 ; then
		echo 'burn /dev/mtd1 failed'; exit 1
	fi
elif ./is_nand /dev/mtd ; then
	if ! ./nandwrite2 -k 0x0 -l 0x0 -s 0x0 -p -o -u 0x4e0000 /dev/mtd /update/mtd_images/mtd1; then
		echo 'burn /dev/mtd1 failed'; exit 1
	fi
else
	echo 'Cant identify flash type' ; exit 1
fi
if ./is_nor /dev/mtd ; then
	if ! ./norwrite2 -k 0x4e0000 -l 0x0 -s 0x4e0000 -p /dev/mtd /update/mtd_images/mtd2 ; then
		echo 'burn /dev/mtd2 failed'; exit 1
	fi
elif ./is_nand /dev/mtd ; then
	if ! ./nandwrite2 -k 0x4e0000 -l 0x0 -s 0x4e0000 -p -o -u 0x700000 /dev/mtd /update/mtd_images/mtd2; then
		echo 'burn /dev/mtd2 failed'; exit 1
	fi
else
	echo 'Cant identify flash type' ; exit 1
fi
if ./is_nor /dev/mtd ; then
	if ! ./norwrite2 -k 0x700000 -l 0x0 -s 0x700000 -p -u 0x2300000 /dev/mtd /update/mtd_images/mtd3 ; then
		echo 'burn /dev/mtd3 failed'; exit 1
	fi
elif ./is_nand /dev/mtd ; then
	if ! ./nandwrite2 -k 0x700000 -l 0x0 -s 0x700000 -p -o -u 0x2300000 /dev/mtd /update/mtd_images/mtd3; then
		echo 'burn /dev/mtd3 failed'; exit 1
	fi
else
	echo 'Cant identify flash type' ; exit 1
fi
if ./is_nor /dev/mtd ; then
	if ! ./norwrite2 -k 0x2300000 -l 0x0 -s 0x2300000 -p /dev/mtd /update/mtd_images/mtd4 ; then
		echo 'burn /dev/mtd4 failed'; exit 1
	fi
elif ./is_nand /dev/mtd ; then
	if ! ./nandwrite2 -k 0x2300000 -l 0x0 -s 0x2300000 -p -o -u 0x2380000 /dev/mtd /update/mtd_images/mtd4; then
		echo 'burn /dev/mtd4 failed'; exit 1
	fi
else
	echo 'Cant identify flash type' ; exit 1
fi
if ./is_nor /dev/mtd ; then
	if ! ./norwrite2 -k 0x2380000 -l 0x0 -s 0x2380000 -p /dev/mtd /update/mtd_images/mtd5 ; then
		echo 'burn /dev/mtd5 failed'; exit 1
	fi
elif ./is_nand /dev/mtd ; then
	if ! ./nandwrite2 -k 0x2380000 -l 0x0 -s 0x2380000 -p -o -u 0x6e80000 /dev/mtd /update/mtd_images/mtd5; then
		echo 'burn /dev/mtd5 failed'; exit 1
	fi
else
	echo 'Cant identify flash type' ; exit 1
fi
if ./is_nor /dev/spimtd0 ; then
	if ! ./norwrite2 -k 0x0 -l 0x0 -s 0x0 -p -u 0x10000 /dev/spimtd0  /update/mtd_images/spimtd0; then
		echo 'burn /dev/spimtd0 failed'; exit 1
	fi
elif ./is_nand /dev/spimtd0 ; then
	if ! ./nandwrite2 -k 0x0 -l 0x0 -s 0x0 -p -o -u 0x10000 /dev/spimtd0 /update/mtd_images/spimtd0; then
		echo 'burn /dev/spimtd0 failed'; exit 1
	fi
else
	echo 'Cant identify flash type' ; exit 1
fi
if ./is_nor /dev/spimtd0 ; then
	if false; then
		echo 'burn /dev/spimtd0 failed'; exit 1
	fi
elif ./is_nand /dev/spimtd0 ; then
	if false; then
		echo 'burn /dev/spimtd0 failed'; exit 1
	fi
else
	echo 'Cant identify flash type' ; exit 1
fi
if ./is_nor /dev/spimtd0 ; then
	if ! ./norwrite2 -k 0x0 -l 0x20000 -s 0x0 -p -u 0x60000 /dev/spimtd0  /update/mtd_images/spimtd0; then
		echo 'burn /dev/spimtd0 failed'; exit 1
	fi
elif ./is_nand /dev/spimtd0 ; then
	if ! ./nandwrite2 -k 0x0 -l 0x20000 -s 0x0 -p -o -u 0x60000 /dev/spimtd0 /update/mtd_images/spimtd0; then
		echo 'burn /dev/spimtd0 failed'; exit 1
	fi
else
	echo 'Cant identify flash type' ; exit 1
fi
busybox echo -n [END] > upd_stat

busybox sync
