########################## Logo.bin Generate Tool #########################
#
# This tool can help to generate the logo bin file which
# will be called by bootloader.
#
# Get Help:
#    ./logo.sh help
#
#   Setting squence:  
#	start_setting.txt ->common_tr_setting->Show Logo->end_setting.txt
#
# Author: Alex Li,  2008/9/10
# Update: Alex Li,  2009/2/12
#         Support for different chips 
# Update: Alex Li,  2010/11/29
#         Support for SXL
#
############################################################################

#!/bin/sh

#please config the chip type here.
chip_type=SXL

CUR_PATH=$(pwd)

export TRID_DEBUG_TPLFAPP=LOGO:3

#register setting file
settingfile1=./start_setting.txt
settingfile2=./common_tr_setting.txt
settingfile3=./end_setting.txt


export LD_LIBRARY_PATH=.

insmod ./hidtvreg_dev.ko
insmod ./i2c_all_dev.ko
#2CPU Communication
busybox mknod /tmp/cpu_comm_dev c 245 0
insmod ./cpu_comm_dev.ko ShMemAddr=0x4080000 ShMemSize=0x280000 SlaveMemAddr=0x4300000 SlaveMemSize=0x3d00000

Check_PanelID()	
{ 
	panel1=$(./regtest r b 1500003A)
	echo Panel Index 3A: 0x$panel1
	panel2=$(./regtest r b 1500003C)
	echo Panel Index 3C: 0x$panel2
	panel3=$(./regtest r b 1500003E)
	echo Panel Index 3E: 0x$panel3
	if	[ "$panel1" = "$panel2" ]; then
		PANEL_ID=$panel1;
	elif	[ "$panel1" = "$panel3" ]; then
		PANEL_ID=$panel1;
	elif	[ "$panel2" = "$panel3" ]; then
		PANEL_ID=$panel2;
	else
		PANEL_ID="0";
		echo "No match Panel type Info. Set Default to 0x0"
	fi
	
	if	[ "$PANEL_ID" = "0" ] || [ "$PANEL_ID" = "1" ] || [ "$PANEL_ID" = "2" ]; then
		echo PANEL_ID is : "$PANEL_ID"
	else
		echo "No Panel type Info. Set Default to 0x0"
		PANEL_ID="0";		
	fi	
}	

Check_PanelID

if [ "$PANEL_ID" = "0" ]; then
  cp -fR $CUR_PATH/Update_Start_FHD_AUOM215HW03V1.bin $CUR_PATH/Update_Start_FHD.bin 
  cp -fR $CUR_PATH/Update_Fail_FHD_AUOM215HW03V1.bin $CUR_PATH/Update_Fail_FHD.bin
  cp -fR $CUR_PATH/Update_Succ_FHD_AUOM215HW03V1.bin $CUR_PATH/Update_Succ_FHD.bin
#elif [ "$PANEL_ID" = "1" ]; then
#  cp -fR $CUR_PATH/Update_Fail_222.bin $CUR_PATH/Update_Start.bin 
#  cp -fR $CUR_PATH/Update_Fail_222.bin $CUR_PATH/Update_Fail.bin
#  cp -fR $CUR_PATH/Update_Succ_222.bin $CUR_PATH/Update_Succ.bin  
fi

echo $1 $2 $3
if [ "$1" = "Update_Succ.bin" ] || [ "$1" = "Update_Succ_FHD.bin" ]
then
echo "Send enable burn in mode to MCU"

./UartCMDSend 77 0 0 0 0
fi    

./dbgserver_2 &
./ShowLogo $settingfile1 $settingfile2 $settingfile3 $1 $2 $3  
